BdbService.Processor (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.Processor<I extends BdbService.Iface>

- java.lang.Object
- - org.apache.thrift.TBaseProcessor<I>
  - - com.sleepycat.thrift.BdbService.Processor<I>

- All Implemented Interfaces:
    org.apache.thrift.TProcessor
  Enclosing class:
    BdbService

      public static class BdbService.Processor<I extends BdbService.Iface>
      extends org.apache.thrift.TBaseProcessor<I>
      implements org.apache.thrift.TProcessor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.Processor.beginTransaction<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.checkpoint<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeCursorHandle<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeDatabaseHandle<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeDatabaseHandles<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeEnvironmentHandle<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeEnvironmentHandles<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeJoinCursorHandle<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.closeSequenceHandle<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorCompare<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorCount<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorDelete<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorDup<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorGet<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorGetWithPKey<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.cursorPut<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbCompact<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbDelete<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbGet<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbGetWithPKey<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbKeyExists<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbKeyRange<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbPut<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.dbTruncate<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.deleteEnvironmentAndDatabases<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getBdbVersion<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getCursorCachePriority<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getCursorConfig<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getDatabaseConfig<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getDatabaseStatistics<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getEnvironmentConfig<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.getEnvStatistics<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.isProtocolVersionSupported<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.joinCursorGet<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openCursor<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openDatabase<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openEnvironment<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openJoinCursor<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openSecondaryDatabase<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.openSequence<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.ping<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.removeDatabase<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.removeSequence<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.renameDatabase<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.sequenceGet<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.setCursorCachePriority<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.setDatabaseConfig<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.setEnvironmentConfig<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.shutdown<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.txnAbort<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.txnCommit<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.txnGetPriority<I extends BdbService.Iface>`
    `static class` | `BdbService.Processor.txnSetPriority<I extends BdbService.Iface>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Processor(I iface)`
    `protected` | `Processor(I iface, java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.TBaseProcessor

      `getProcessMapView, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.thrift.TProcessor

      `process`

- - ### Constructor Detail

    - #### Processor

          public Processor(I iface)

    - #### Processor

          protected Processor(I iface,
                              java.util.Map<java.lang.String,org.apache.thrift.ProcessFunction<I,? extends org.apache.thrift.TBase>> processMap)

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.